Subject: Re: [bug#76143] [PATCH] gnu: Canonicalize paths before comparing.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 21 Feb 2025 11:21:25 +0100

Hi,

Noé Lopez <[email-masked]> skribis:

> The problem I faced was that I needed to create environment variables by
> hand so that I could load guile code (including guix’s) in a C program
> with no external environment (the packagekit daemon).  It would fail
> because of not finding patches since I had a trailing slash in my path.

I don’t fully understand the situation.  My suggestion (but perhaps
you’re already doing that) would be for PackageKit to invoke ‘guix
repl’, not ‘guile’.  The raison d’être of ‘guix repl’ was precisely to
have the load path for Guix and all its dependencies properly set up.

Ludo’.